Subject: Re: [PATCH 2/2] net: mdio: reset PHY before attempting to access registers in fwnode_mdiobus_register_phy

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 15 Oct 2025 10:48:21 +0100

On Wed, Oct 15, 2025 at 11:07:03AM +0200, Buday Csaba wrote:
> On Mon, Oct 13, 2025 at 04:31:10PM +0200, Maxime Chevallier wrote:
> > Hi,
> > 
> > On 13/10/2025 15:55, Buday Csaba wrote:
> > > When the ID of an ethernet PHY is not provided by the 'compatible'
> > > string in the device tree, its actual ID is read via the MDIO bus.
> > > For some PHYs this could be unsafe, since a hard reset may be
> > > necessary to safely access the MDIO registers.
> > > This patch makes it possible to hard-reset an ethernet PHY before
> > > attempting to read the ID, via a new device tree property, called:
> > > `reset-phy-before-probe`.
> > > 
> > > There were previous attempts to implement such functionality, I
> > > tried to collect a few of these (see links).
> > > 
> > > Link: https://lore.kernel.org/lkml/[email-masked]/
> > > Link: https://lore.kernel.org/all/[email-masked]/
> > > Link: https://lore.kernel.org/netdev/[email-masked]/
> > > Signed-off-by: Buday Csaba <[email-masked]>
> > 
> > This should probably be accompanied by a DT binding update,
> > with some justification that this is indeed HW description
> > and not OS confguration.
> > 
> 
> I have the corresponding patch ready, I just wanted this to be accepted
> first. My description was to be:

Please see Documentation/devicetree/bindings/submitting-patches.rst
point 5.

Basically, don't submit code that introduces a new undocumented DT
property without also including the binding update in the patch set.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!